OpenSSL update

Cocos2d-x has upgraded OpenSSL to version 1.0.2g.

Beginning July 11, 2016, Google Play will block publishing of any new apps or updates that use older versions of OpenSSL. It is important that you update the use of OpenSSL in your projects.

If you use v2.x or use older versions of v3.x, you can just update CURL and OpenSSL. To do this:

  • modify Cocos2d-x root/external/config.json to update the dependency version. For v3.x the dependency version is v3-deps-92, and for v2.x it is v2-deps-5
  • execute the download-deps.py script in your Cocos2d-x root.

Feel free to post on our forums if you run into difficulty.

Posted in Announcement

Categories